Автор Тема: Apt-get проблем голем :)  (Прочетена 1376 пъти)

fedex

  • Напреднали
  • *****
  • Публикации: 18
    • Профил
Apt-get проблем голем :)
« -: Nov 30, 2007, 23:32 »
Здравейте! Ситуацията е следната... като му задам да ми изтегли нещо само изписва
Примерен код
debian:/home/fedex# apt-get install xmms-status-plugin
Reading package lists... Done
Building dependency tree... Done
The following NEW packages will be installed:
  xmms-status-plugin
0 upgraded, 1 newly installed, 0 to remove and 1070 not upgraded.
Need to get 52.5kB of archives.
After unpacking 221kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  xmms-status-plugin
Install these packages without verification [y/N]? y
Err ftp://ftp.bg.debian.org testing/main xmms-status-plugin 1.0.0-3+b1
  Server closed the connection
Err ftp://ftp.bg.debian.org unstable/main xmms-status-plugin 1.0.0-3+b1
  Server closed the connection
Failed to fetch ftp://ftp.bg.debian.org/debian/pool/main/x/xmms-status-plugin/xmms-status-plugin_1.0.0-3+b1_i386.deb  Server closed the connection
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
debian:/home/fedex#

до скоро си работеше както трябва.. някой да има идеи?
Активен

Debian newbie :)

the_real_maniac

  • Напреднали
  • *****
  • Публикации: 1258
  • Kernel panic, me - no panic ;-) :-)
    • Профил
Apt-get проблем голем :)
« Отговор #1 -: Nov 30, 2007, 23:58 »
Вар 1. сървърът наистина отказва връзката, може да е пренатоварен, може да са много варианти

Вар 2. може да отказва връзката по друга причина, в момента да обновява точно този пакет, да е изтекъл някакъв timeout , почват много предположение

но най-вече

вар3. пробвай дали може да fetch-неш нещо друго
или по-точно иналираш

1 !!! apt-get install something-new-or-for-update

2 !!! wget "ftp://ftp.bg.debian.org testing/main xmms-status-plugin 1.0.0-3+b1"

като замени това в скобите нали с правилният линк '<img'>
то мисля трябва да е
Примерен код

ftp://....../debian/testing/pool/x/

или нещо такова беше , в момента не се сещам точно , а и не се и опитвам '<img'> та .. ще го видиш '<img'>

Та виж проблема в apt-get ли е , във самият момент при  изтеглянето на пакета или просто сървъра извършва нещо и ти затваря / отказва връзката '<img'>

Не е нужно да става нещо точно определено , за да получиш такъв отговор server closed the conection , така де може да се укаже при еди кое си действие отбивай връзките с отговор ... примерно :-)
примерно '<img'>

варианти много и все пак сигурно не е станло нещо страшно или сложно

просто си виж apt , apt-get как ти работи , виж wget-а какво ще стане или директен download няма значение как и ще се види какъв е проблема, ако има, а не нещо времено или ~случайно като грешка :-D '<img'> '<img'>

успех '<img'> ':p' '<img'>

едит:
ами да, ето
ти го имаш в изхода на apt
Примерен код

ftp://ftp.bg.debian.org/debian/pool/main/x/xmms-status-plugin/xmms-status-plugin_1.0.0-3+b1_i386.deb


значи проблема наистина е при fetch-a и така като гледма май си точно ftp-то на сървъра нещо или нещо ъпдейт тече , хе знам ли точно , за малко само го погледнах '<img'>

Но все пак пробвай един wget Набързо и после ако стане успешно apt-get install ... xmms каквото беше и виж дали ще успее да го fetch-не то '<img'>

ако да - ясно , моментен проблем , ситуация
ако ли не - reinstall/update apt или пробвай дали fetch-a от други сървъри / respositories все пак (locations) демек '<img'> тоест :-D ':p' '<img'> ':p' : )

bye и успех '<img'>

edit: генератора на автоматични линкове не работи правилно нещо

това е от вторият (горе) code сложено и генерира линк към форума а надписа си стои все едно е правилният, нещо да сте променяли момчета по скриптовете '<img'>
ftp://ftp.bg.debian.org/debian....i386.de



Активен

Powered by Debian GNU / LINUX /// Intel inside ...

„Насилието е последното убежище на некомпетентността“ - Айзък Азимов (1920 — 1992)

phantomlord

  • Напреднали
  • *****
  • Публикации: 1832
  • Distribution: Debian Sid
  • Window Manager: KDE 4
  • Fall to your knees and bow to the Phantom Lord
    • Профил
    • WWW
Apt-get проблем голем :)
« Отговор #2 -: Dec 01, 2007, 05:43 »
Може и да минава през прокси, което да не поддържа трансфер през ftp. В този случай може да промени ftp://ftp.bg.debian.org........... на http://ftp.bg.debian.org........... в /etc/apt/sources.list
Активен

http://myfreesoft.net/phpBB2/index.php?c=7
Помогни си сам, за да ти помогне и Господ
Linux - connecting people...

theCode

  • Новаци
  • *
  • Публикации: 2
    • Профил
Apt-get проблем голем :)
« Отговор #3 -: Dec 01, 2007, 09:21 »
Цитат (fedex @ Дек. 01 2007,00:32)
Здравейте! Ситуацията е следната... като му задам да ми изтегли нещо само изписва
Примерен код
debian:/home/fedex# apt-get install xmms-status-plugin
Reading package lists... Done
Building dependency tree... Done
The following NEW packages will be installed:
  xmms-status-plugin
0 upgraded, 1 newly installed, 0 to remove and 1070 not upgraded.
Need to get 52.5kB of archives.
After unpacking 221kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  xmms-status-plugin
Install these packages without verification [y/N]? y
Err ftp://ftp.bg.debian.org testing/main xmms-status-plugin 1.0.0-3+b1
  Server closed the connection
Err ftp://ftp.bg.debian.org unstable/main xmms-status-plugin 1.0.0-3+b1
  Server closed the connection
Failed to fetch ftp://ftp.bg.debian.org/debian/pool/main/x/xmms-status-plugin/xmms-status-plugin_1.0.0-3+b1_i386.deb  Server closed the connection
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
debian:/home/fedex#

до скоро си работеше както трябва.. някой да има идеи?

отвори си sources.list в /etc/apt/ и добави
deb http://mirrors.ludost.net/debian testing main contrib non-free
deb-src http://mirrors.ludost.net/debian testing main contrib non-free
и опитаи пак apt-get update kato закоентираи другите мирори
а иначе проблема може и да е в липста на валидна gpg сигнатура за пакета а като гледам че имаш 1070 пакета киото не са упграднати проблема може да е и версията на линукс дистрибуцията която ползваш,
с какъв кернел си(uname -a)
с какъв тестинг си
какво става като му дадеш аpt-get upgrade
Активен

fedex

  • Напреднали
  • *****
  • Публикации: 18
    • Профил
Apt-get проблем голем :)
« Отговор #4 -: Dec 01, 2007, 12:03 »
Оправи се явно проблема си е бил в сървера.. благодаря на всички за бързата реакция  '<img'>
Активен

Debian newbie :)